import { fileURLToPath } from "node:url";
import { getContentPaths, parseFrontmatter } from "./utils.js";
import { MARKDOWN_CONTENT_ENTRY_TYPE_NAME } from "./consts.js";
async function getMarkdownContentEntryType(config, fs) {
  const contentPaths = getContentPaths(config, fs);
  return {
    name: MARKDOWN_CONTENT_ENTRY_TYPE_NAME,
    extensions: [".md"],
    async getEntryInfo({ fileUrl, contents }) {
      const parsed = parseFrontmatter(contents, fileURLToPath(fileUrl));
      return {
        data: parsed.data,
        body: parsed.content,
        slug: parsed.data.slug,
        rawData: parsed.matter
      };
    },
    contentModuleTypes: await fs.promises.readFile(
      new URL("./markdown-types.d.ts", contentPaths.templateDir),
      "utf-8"
    )
  };
}
export {
  getMarkdownContentEntryType
};
